---
oat_generated: false
oat_template: true
oat_template_name: conventions
---

<!--
Vendored from: https://github.com/glittercowboy/get-shit-done
License: MIT
Original: agents/gsd-codebase-mapper.md (embedded template)
Modified: 2026-01-27 - Adapted for OAT (added frontmatter)
-->

# Coding Conventions

**Analysis Date:** [YYYY-MM-DD]

## Naming Patterns

**Files:**

- [Pattern observed]

**Functions:**

- [Pattern observed]

**Variables:**

- [Pattern observed]

**Types:**

- [Pattern observed]

## Code Style

**Formatting:**

- [Tool used]
- [Key settings]

**Linting:**

- [Tool used]
- [Key rules]

## Import Organization

**Order:**

1. [First group]
2. [Second group]
3. [Third group]

**Path Aliases:**

- [Aliases used]

## Error Handling

**Patterns:**

- [How errors are handled]

## Logging

**Framework:** [Tool or "console"]

**Patterns:**

- [When/how to log]

## Comments

**When to Comment:**

- [Guidelines observed]

**JSDoc/TSDoc:**

- [Usage pattern]

## Function Design

**Size:** [Guidelines]

**Parameters:** [Pattern]

**Return Values:** [Pattern]

## Module Design

**Exports:** [Pattern]

**Barrel Files:** [Usage]

---

_Convention analysis: [date]_
